Download OpenAPI specification:Download
https://api.signicat.com/audit/The Signicat Audit API allows you to query, view and filter audit log events.
This API is part of our management APIs, which allow you to programmatically manage configurations that are typically handled in the Signicat Dashboard.
This REST API uses the OAuth 2.0 protocol for authorisation. All request and response bodies are formatted in JSON.
Retrieves a single audit log item based on a cursor
| cursor required | string |
{- "cursor": "string",
- "accountId": "string",
- "organizationId": "string",
- "timestamp": "2019-08-24T14:15:22Z",
- "serviceName": "string",
- "message": "string",
- "sandbox": true,
- "userId": "string",
- "messageId": "string",
- "referenceId": "string",
- "ipAddress": "string",
- "traceId": "string",
- "eventType": "string",
- "clientId": "string",
- "jwtId": "string",
- "expiresAt": "2019-08-24T14:15:22Z",
- "data": null,
- "indexedData": {
- "property1": "string",
- "property2": "string"
}, - "mayHaveMoreData": true
}Usage:
cursor query parameter must not be set manually - use next URL for paginationlimit can not be higher than 1000, is 1000 by defaultto is nowfrom is 30 days before tonext response property is set there may be more results available, even if the current
response returned 0 results| cursor | string |
| limit | integer <int32> Default: 1000 |
Array of objects or null (QueryCondition) Query for audit logs that match all the given conditions | |
| from | string or null <date-time> Earliest possible audit log to retrieve |
| to | string or null <date-time> Latest possible audit log to retrieve (not inclusive) |
{- "and": [
- {
- "field": "string",
- "operator": "string",
- "value": {
- "options": {
- "propertyNameCaseInsensitive": true
}, - "parent": { },
- "root": { }
}
}
], - "from": "2019-08-24T14:15:22Z",
- "to": "2019-08-24T14:15:22Z"
}{- "data": [
- {
- "cursor": "string",
- "accountId": "string",
- "organizationId": "string",
- "timestamp": "2019-08-24T14:15:22Z",
- "serviceName": "string",
- "message": "string",
- "sandbox": true,
- "userId": "string",
- "messageId": "string",
- "referenceId": "string",
- "ipAddress": "string",
- "traceId": "string",
- "eventType": "string",
- "clientId": "string",
- "jwtId": "string",
- "expiresAt": "2019-08-24T14:15:22Z",
- "data": null,
- "indexedData": {
- "property1": "string",
- "property2": "string"
}, - "mayHaveMoreData": true
}
], - "next": "string",
- "from": "2019-08-24T14:15:22Z",
- "to": "2019-08-24T14:15:22Z"
}